/***************************************************************************
 *   Copyright (C) 2004 by Byoungyoung, La                                 *
 *   la9527@yahoo.co.kr                                                    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
 
#ifndef __DEFINE_H__
#define __DEFINE_H__

// 프로그램 기본세팅
 
#include <stdio.h>
#include <stdlib.h>
#include <dirent.h>
#include <sys/stat.h>
#include <time.h>
#include <string>
#include <map>
#include <vector>
#include <unistd.h>
#include <iostream>
#include <fstream>
#include <string>

using namespace std;

#define		ERROR	-1
#define		SUCCESS 0

//#define		LOGGING	0

typedef unsigned int uint;

// 압축 화일 확장자
enum
{
	TAR_GZ,
	TAR_BZ,
	TAR,
	ZIP
};

enum
{
	TAR_APPEND,
	TAR_DELETE
};

#ifdef LOGGING
#include <stdio.h>
#include <stdarg.h>

extern char *logfile; // main.cpp에 정의 

inline void LOG(char*szStr,...)
{
    va_list args;
    char szBuf[256];

    va_start(args,szStr);
    vsprintf(szBuf,szStr,args);
    va_end(args);

	FILE*fp=fopen(logfile,"a+");
		fprintf(fp,"%s\n",szBuf);
	fclose(fp);
}

#else

// gnu 전용...
#define LOG(fmt, args...)
#endif


#endif
