#include "StringTokenizer.h"

using namespace std;
using namespace MLS;

StringTokenizer::StringTokenizer()
	: _str(""), _delim("\r\n "), _cur(0)
{
}

StringTokenizer::StringTokenizer(const string &p, const string &d) 
	: _str(p), _delim(d), _cur(0)
{
}

StringTokenizer::~StringTokenizer()
{
}

bool StringTokenizer::Next()
{
	// _delim = "a";
	//         0123456789
	// _str = "laneapple";
	//         ss2
	if (_cur == string::npos) return false;

	string::size_type s = _str.find_first_not_of(_delim, _cur);
	if (s == string::npos) return false;

	_cur = _str.find_first_of(_delim, s+1);
	if (_cur == string::npos)
		_token = _str.substr(s);
	else
		_token = _str.substr(s, _cur-s);
	
	return true;	
}
