#ifndef action_h_
#define action_h_

#include <string>
#include <vector>

namespace MLS {

class Action
{
protected:
	
	std::string name;		
	std::vector<std::string> cmd;
	
	std::string nocmd;
	
public:

	Action(){}
	
	unsigned int  size() {return cmd.size();}	
	void addEntry(std::string &);
	void addCommand(std::string c) {cmd.push_back(c);}
	void clear() {cmd.clear();}
	void setName(std::string &a) {name=a;}
	
	std::string &operator [](unsigned int t){if (cmd.size() > t) return cmd[t]; return nocmd;}
	
	const char *getName() {if (cmd.empty()) return "None"; return name.c_str();}

};
	
}; // namespace 

#endif // action
