#ifndef history_h_
#define history_h_

#include <string>
#include <vector>

namespace MLS {
	
class History
{
protected:
	std::vector<std::string> m_paths;
	
	int m_max;	
	int m_cur;
	
	bool bAdd;
	
public:
	History();
	
	void AddEntry(const std::string &);
	
	const std::string &GetPrev();	
	const std::string &GetNext();
	
	bool isFront();
	bool isBack();

};

}; // namepsace

#endif
