#include <stdlib.h>
#include <ncurses.h>

#include "define.h"
#include "mls.h"

#include "panel.h"
#include "mcd.h"

#include "conf.h"
#include "mlslocale.h"

using namespace MLS;

char *logfile ="/tmp/log.txt";

int init()
{	
	// nCurses 설정
	initscr();
	start_color();
	nonl();
	cbreak();
	noecho();	
	keypad(stdscr, TRUE);
//   nodelay(stdscr, TRUE);
//	timeout(500);

	for (int t=0; t<8; t++)
		for (int t2=0; t2<8; t2++)
		{
			if (t==0 && t2==0) continue;
			init_pair(t*8+t2, t, t2);
		}
	return 0;
}

void destroy()
{
	keypad(stdscr, FALSE);
	nocbreak();
	endwin();
}

// 설정화일

// 진입부
int main(int argc, char *argv[])
{//시스템 초기화	
	if (init()) return 1;
	
	set_locale(US);
	
	Panel mls;
	mls.Read(".");
	mls.proc();	

	destroy();	
	return 0;
}
