#include <ncurses.h>
#include "mlslocale.h"

chtype MLS::HLINE=ACS_HLINE;
chtype MLS::VLINE=ACS_VLINE;
chtype MLS::ULCORNER=ACS_ULCORNER;
chtype MLS::LLCORNER=ACS_LLCORNER;
chtype MLS::URCORNER=ACS_URCORNER;
chtype MLS::LRCORNER=ACS_LRCORNER;
chtype MLS::LTEE=ACS_LTEE;
chtype MLS::RTEE=ACS_RTEE;
chtype MLS::BTEE=ACS_BTEE;
chtype MLS::TTEE=ACS_TTEE;

void MLS::set_locale(MLS::ENCODING e)
{
	
	switch(e)
	{
	case KO:
		HLINE='-';
		VLINE='|';
		ULCORNER='+';
		LLCORNER='+';
		URCORNER='+';
		LRCORNER='+';
		LTEE='+';
		RTEE='+';
		BTEE='+';
		TTEE='+';			
		break;
		
	case US:		
	default:
		HLINE=ACS_HLINE;
		VLINE=ACS_VLINE;
		ULCORNER=ACS_ULCORNER;
		LLCORNER=ACS_LLCORNER;
		URCORNER=ACS_URCORNER;
		LRCORNER=ACS_LRCORNER;
		LTEE=ACS_LTEE;
		RTEE=ACS_RTEE;
		BTEE=ACS_BTEE;
		TTEE=ACS_TTEE;	
	}	
}
