#ifndef reader_h_
#define reader_h_

#include "file.h"
#include <vector>

namespace MLS {	
// Reader 인터페이스
	class Reader
	{
		public:
			virtual bool Init(const std::string &path) = 0;
			virtual bool Next() = 0;
			virtual bool GetInfo(File &) = 0;
			virtual void Destroy() = 0;
			virtual int  Copy(vector<string>& tCpyData, string& sTarget) = 0;
			virtual int  Remove(vector<string>& tRemoveData) = 0;
			
			virtual bool isRoot() { return false; }
	};
}; // namespace 

#endif
